Thingsboard thingsboard UI 编译时:[ERROR] The rule `angular/service-name` will be split up to different rules in the next version. Please read the docs for more information

blog · 2020年05月28日 · 最后由 sds 回复于 2020年05月28日 · 67 次阅读
[WARNING] npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.11 (node_modules\fsevents):
[INFO] added 1585 packages from 933 contributors in 492.245s
[WARNING] npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.11: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})
[ERROR]
[INFO]
[INFO] --- frontend-maven-plugin:1.0:npm (npm build) @ ui ---
[INFO] Running 'npm run build' in F:\workspace\thingsboard\thingsboard-2.5\ui
[INFO]
[INFO] > thingsboard@2.5.0 build F:\workspace\thingsboard\thingsboard-2.5\ui
[INFO] > cross-env NODE_OPTIONS=--max_old_space_size=4096 NODE_ENV=production webpack
[INFO]
[ERROR] The rule `angular/service-name` will be split up to different rules in the next version. Please read the docs for more information

上面这个错误有什么影响吗?我已经成功编译了

不影响,开炮吧!

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册